package entity

import (
	"gitlab.wodcloud.com/smart-operation/so-operation-api/src/pkg/beagle/jsontime"
)

type AlertList struct {
	Id                int           `json:"id"`                                       // 预警列表ID，主键，自增长
	AlertPoint        string        `json:"alert_point"`                              // 预警点
	AlertRulesId      string        `json:"alert_rules_id"`                           // 告警规则id
	RiskLevel         int           `json:"risk_level"`                               // 风险等级，1:低风险，2:一般风险，3:较大风险，4:重大风险
	AlertTime         jsontime.Time `json:"alert_time"`                               // 预警时间
	ClassId           int           `json:"class_id" xorm:"'class_id'"`               // 预警对象id(级联:预警分类/预警对象)
	MetricConfigId    string        `json:"metric_config_id"`                         // 预警指标id 	// 预警指标
	CurrentValue      float64       `json:"current_value"`                            // 当前报警值
	AlertCondition    string        `json:"alert_condition" xorm:"'alert_condition'"` // 预警规则(预警阈值) 字典值
	NotificationCount int           `json:"notification_count"`                       // 通知人数
	PushCount         int           `json:"push_count"`                               // 推送次数
	LastPushTime      jsontime.Time `json:"last_push_time"`                           // 最近推送时间
	Status            int           `json:"status"`                                   // 状态，1:已恢复 2:未恢复 3:已关闭
	CreatedBy         string        `json:"created_by" xorm:"'created_by'"`           // 创建人
	CreatedAt         jsontime.Time `json:"created_at" xorm:"'created_at'"`           // 创建时间
	UpdatedBy         string        `json:"updated_by" xorm:"'updated_by'"`           // 更新人
	UpdatedAt         jsontime.Time `json:"updated_at" xorm:"'updated_at'"`           // 更新时间
}

func (a *AlertList) TableName() string {
	return "alert_list"
}
