package request

type DetailAlertList struct {
	Id int `json:"id" form:"id" binding:"required"`
}

type UpdateAlertList struct {
	RiskLevel int    `json:"risk_level" form:"risk_level" binding:"omitempty,oneof=1 2 3 4"` // 风险等级，1:低风险，2:一般风险，3:较大风险，4:重大风险
	Status    int    `json:"status" form:"status" binding:"omitempty,oneof=1 2 3"`           // 状态，1:已恢复 2:未恢复 3:已关闭
	Keyword   string `json:"keyword" form:"keyword"`                                         // 预警点/分类/指标
}

type ListAlertList struct {
	Id        int    `json:"id" form:"id"`
	RiskLevel int    `json:"risk_level" form:"risk_level" binding:"omitempty,oneof=1 2 3 4"` // 风险等级，1:低风险，2:一般风险，3:较大风险，4:重大风险
	Status    int    `json:"status" form:"status" binding:"omitempty,oneof=1 2 3"`           // 状态，1:已恢复 2:未恢复 3:已关闭
	Keyword   string `json:"keyword" form:"keyword"`                                         // 预警点/分类/指标
	StartTime string `json:"start_time" form:"start_time" binding:"omitempty,datetime=2006-01-02 15:04:05"`
	EndTime   string `json:"end_time" form:"end_time" binding:"omitempty,datetime=2006-01-02 15:04:05"`
}
